This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1121774 - pygame pyside kivy smpeg for python3
pygame pyside kivy smpeg for python3
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pygame (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-21 16:50 EDT by Ganapathi Kamath
Modified: 2015-12-11 07:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:17:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
python3-Kivy-1.8.0-12.1.src.rpm (14.01 MB, application/x-redhat-package-manager)
2014-07-21 16:50 EDT, Ganapathi Kamath
no flags Details
python3-pyside-1.2.2-10.2.src.rpm (2.79 MB, application/x-redhat-package-manager)
2014-07-21 16:51 EDT, Ganapathi Kamath
no flags Details
python3-pygame-1.9.2a0-15.f21.src.rpm (2.79 MB, application/x-redhat-package-manager)
2014-07-21 16:53 EDT, Ganapathi Kamath
no flags Details
smpeg-0.4.5-2.1.src.rpm (396.29 KB, application/x-redhat-package-manager)
2014-07-21 16:53 EDT, Ganapathi Kamath
no flags Details
python3-pyside.spec (7.02 KB, text/x-rpm-spec)
2014-07-21 16:55 EDT, Ganapathi Kamath
no flags Details
smpeg.spec (3.93 KB, text/x-rpm-spec)
2014-07-21 16:56 EDT, Ganapathi Kamath
no flags Details
kivy.spec (4.45 KB, text/x-rpm-spec)
2014-07-21 16:57 EDT, Ganapathi Kamath
no flags Details
pygame.spec (9.16 KB, text/x-rpm-spec)
2014-07-21 16:58 EDT, Ganapathi Kamath
no flags Details
python3-pyside-1.2.2-10.2.src.rpm [comment 10] (8.85 MB, application/x-rpm)
2014-10-22 19:23 EDT, Ganapathi Kamath
no flags Details

  None (edit)
Description Ganapathi Kamath 2014-07-21 16:50:21 EDT
Created attachment 919754 [details]
python3-Kivy-1.8.0-12.1.src.rpm

Description of problem:
attached are pygame, kivy, pyside, smpeg

some of these packages are available in python2 but not python3
I was able to build them in fc21
so am filing the absence fo these packages as a bug, so that someone can take it up who knows the process and can do the distribution suitability checks for fedora. 


Version-Release number of selected component (if applicable):
$ rpm -qa | egrep -i "pyside|pygame|smpeg|kivy"
smpeg-devel-0.4.5-2.1.x86_64
python3-pyside-1.2.2-10.2.x86_64
smpeg-0.4.5-2.1.x86_64
python3-Kivy-1.8.0-12.1.x86_64
python3-pygame-1.9.2a0-15.f21.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ganapathi Kamath 2014-07-21 16:51:44 EDT
Created attachment 919755 [details]
python3-pyside-1.2.2-10.2.src.rpm
Comment 2 Ganapathi Kamath 2014-07-21 16:53:13 EDT
Created attachment 919756 [details]
python3-pygame-1.9.2a0-15.f21.src.rpm
Comment 3 Ganapathi Kamath 2014-07-21 16:53:42 EDT
Created attachment 919757 [details]
smpeg-0.4.5-2.1.src.rpm
Comment 4 Ganapathi Kamath 2014-07-21 16:55:04 EDT
Created attachment 919760 [details]
python3-pyside.spec
Comment 5 Ganapathi Kamath 2014-07-21 16:56:09 EDT
Created attachment 919761 [details]
smpeg.spec
Comment 6 Ganapathi Kamath 2014-07-21 16:57:11 EDT
Created attachment 919762 [details]
kivy.spec
Comment 7 Ganapathi Kamath 2014-07-21 16:58:07 EDT
Created attachment 919763 [details]
pygame.spec
Comment 8 Ganapathi Kamath 2014-07-26 15:51:36 EDT
smpeg not necessary, if smpeg is encumbered it may be dropped.

[Kyvy] ---requires--> [pygame] ---requires--> [pyside] ---requires--> [qt]

Kivy is a platform independent multitouch natural user interface framework [8]
PySide is a Python binding of the cross-platform GUI toolkit Qt [5]

Pygame was built to replace pySDL after its development stalled [6]

smpeg may be deprecated [1] SMPEG provided MPEG-layer-1 [2] it may be patent encumbered though they may be set to expire, one of these years [3] It may need careful invetigation [4]

The smpeg-devel package seems to be required only for building because pygame-comilation looks for smpeg-config. It probably not really. setting environment variable SDL_VIDEODRIVER to dummy is one suggested option[7]

pygame will build even without smpeg-config

[1] http://fedoraproject.org/wiki/User:Peter/Disabled_applications
[2] http://en.wikipedia.org/wiki/SMPEG
[3] http://www.kuro5hin.org/story/2008/7/18/232618/312
[4] http://scratchpad.wikia.com/wiki/MPEG_patent_lists
[5] http://en.wikipedia.org/wiki/PySide
[6] http://en.wikipedia.org/wiki/Pygame
[7] https://code.google.com/p/gheat/wiki/PygameInstallation [7]
[8] http://en.wikipedia.org/wiki/Kivy

even if built with smpeg the rpm does not have smpeg depdency so the devel package can be uninstalled.

A snip from build of pygame without smpeg 

<snip>
Hunting dependencies...
/bin/sh: smpeg-config: command not found
/bin/sh: smpeg-config: command not found
/bin/sh: smpeg-config: command not found
WARNING: "smpeg-config" failed!
SDL     : found 1.2.15
FONT    : found
IMAGE   : found
MIXER   : found
SMPEG   : not found
PNG     : found
JPEG    : found
SCRAP   : found
PORTMIDI: found
PORTTIME: found
AVFORMAT: found
SWSCALE : found
FREETYPE: found 2.5.3
</snip>
but compilation does proceed and completes making rpms


conclusion if smpeg is encumbered it may be dropped.
Comment 9 Felix Schwarz 2014-10-22 18:05:59 EDT
I see that nobody answered this so far, sorry for that.

On the other hand I have to say that this bug report is really bad to work with as you submitted four reports in a single issue. I recommend reading other review requests (and possibly also http://fedoraproject.org/wiki/Package_Review_Process) to get an impression how a more manageable review request looks like.

I'd like to encourage you to present your changes in bug 1045780 if you're still interested. Some small issues about your pyside request:
 - attachment 919755 [details] (labelled as "python3-pyside-1.2.2-10.2.src.rpm") actually contains pygame.
 - The pyside spec has several glitches (python3 packages as unconditional BuildRequires, change log entry too brief)
Comment 10 Ganapathi Kamath 2014-10-22 19:23:07 EDT
Created attachment 949601 [details]
python3-pyside-1.2.2-10.2.src.rpm [comment 10]


corrected pyside srpm attached.
Comment 11 Ganapathi Kamath 2014-10-22 19:25:20 EDT
yes Felix, I jsut wouldn't know all that, or as a matter of a normal day get into the level of detail that involves packaging. I'm just hoping what I do is a sufficient starting point for a person with more packaging knowledge and an interest in pyside.
Comment 12 Felix Schwarz 2014-10-23 11:56:23 EDT
(In reply to Ganapathi Kamath from comment #11)
> yes Felix, I jsut wouldn't know all that, or as a matter of a normal day get
> into the level of detail that involves packaging. I'm just hoping what I do
> is a sufficient starting point for a person with more packaging knowledge
> and an interest in pyside.

I appreciate your interest in packaging and I'd like to encourage you learn more about it so you can help improving the Fedora packaging base.
However I have to say that packaging pyside for Python 3 requires some intermediate level of packaging knowledge (multiple packages involved, shiboken must link against Python 3, both pyside and shiboken contain very complex code) and unfortunately your spec file does not address any of these more complicated issues (I'd love to be wrong about this though!).

Maybe you could startstart co-maintaining a simple package which you use personally (e.g. for Python) to learn how to handle the "routine" tasks.
Comment 13 Fedora End Of Life 2015-11-04 09:59:54 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-12-01 22:17:25 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.